ONVIF::Device::Types::MulticastConfiguration(3pm)

NAME
ONVIF::Device::Types::MulticastConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType MulticastConfiguration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Address

•   Port

•   TTL

•   AutoStart

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::MulticastConfiguration
   Address =>  { # ONVIF::Device::Types::IPAddress
     Type => $some_value, # IPType
     IPv4Address => $some_value, # IPv4Address
     IPv6Address => $some_value, # IPv6Address
   },
   Port =>  $some_value, # int
   TTL =>  $some_value, # int
   AutoStart =>  $some_value, # boolean
 },

AUTHOR
Generated by SOAP::WSDL